Bug 819352 - [abrt] shotwell-0.10.1-4.fc16: type_check_is_value_type_U: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.10.1-4.fc16: type_check_is_value_type_U: Process /usr/bin/s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:86748604680400bdf51dbab3684...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 17:27 EDT by Gianluca
Modified: 2013-02-13 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:36:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.07 KB, text/plain)
2012-05-06 17:27 EDT, Gianluca
no flags Details
File: maps (29.03 KB, text/plain)
2012-05-06 17:27 EDT, Gianluca
no flags Details
File: backtrace (35.84 KB, text/plain)
2012-05-06 17:27 EDT, Gianluca
no flags Details

  None (edit)
Description Gianluca 2012-05-06 17:27:17 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
comment:        while importing some photos from an SD card (USB reader)
crash_function: type_check_is_value_type_U
executable:     /usr/bin/shotwell
kernel:         3.3.4-1.fc16.i686
pid:            7089
pwd:            /home/gianluca
reason:         Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
time:           Sun 06 May 2012 11:03:41 PM CEST
uid:            1000
username:       gianluca

backtrace:      Text file, 36696 bytes
dso_list:       Text file, 9289 bytes
maps:           Text file, 29729 bytes

build_ids:
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:8e3164e7a2966fc43bb550bfcc4bba39a29373cc
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:3205a8fe35551e3f4a9f835db3652ffb31bcd5cb
:9d63dc2ec7319f8f859631fe02b108b896da5450
:42859023e4ec83a16446984b1e0c7510a38731c4
:3b70669e049483dcec0a95a217aae21f48ac2b36
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:d2fa47ac2ef035e4573199292f6d6352a0132124
:d8db5661cb4d22d70d28dd9214cd5d704e964a1c
:f2160c93454f2bb72c58f0e484ca6deb7d6abb11
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:1cd031314e8424ce8b6862ae1acdb0f8f1a1232a
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:8a257536ca5f5aee876e236d9bab65868b0b385f
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:4c04033d01a9d6b157b2521ae3409a0ba0f5f3a3
:8975df47b6a11821f7769b12ee24b06f8f0572dd
:1af5458157158b2b723d392187198a375d2c1ac7
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:4e4d4be07968a0d73bc2c63104b4b46a4480441b
:bf0a36dd7bb8edf9bdb86ebcf5c1cf12543a78ca
:19bce624dda8659f770012166d85bc075fb23f1a
:cba6dc3c2a984b23db4150dba7e2bad30e4bafd2
:6ecdde4147fa0e931f02dbd92c5a6c58709b4e9f
:888fc54505ca230b51d20931456ef18d9dc20346
:8c088dd25c1ca0b5d39bdeee30003597e4055bb7
:c36985d76169b6d68cc22962b532889701f7d4aa
:e012145a98558b7d015f3ccf3cacfac44b498980
:faa844e460702359079f4f15f1f881e87777abb6
:7797557c8de2017a8a26fca60803b0ca826bd835
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:2db77e82f9cf6054c8c51f0e059ff75075dbbc36
:7b1516068a8643fe56dcade895636e98b9ae62ed
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:2c4e6e5956dc136a43a31e33e4796e16fc35b5cc
:4b045111479e1ec97d0ef5668482bf808e8dadba
:b072ab1793cc5bf21e8645921f3ddada8be8b853
:b15b3676f0d78173fc1a46eb9e7e32f4b3cca6bb
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:8f13ce64e5394ed91aa431d1e5d2a68747344e75
:f064ec048feadc668ab275d31c90ddcb43e06885
:1ece94ef024b5ca8151311287879b5b8fc31d285
:60e488e737928d97c52bed9d28e5c9c4ec4a821a
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:18f9097a075d1a713ff9b5980c1317932e923eb1
:7af526de635d0bab82066671e99bac68704c3712
:c1f38a32c6faaa1930eff465aa7bc843af7b6360
:4f48bd2486d772fb25975a4d5f6447969b235102
:583facf695e1606021a23d426db82fc6f55183e8
:5a8aedf08269f36a2974a88fa22a7e405cb06148
:57d70a3c8036e4b8a5d1e4173c5a0ebeb120299c
:23d1086014ed5544b3df4cee1f95694032252322
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:3559985788f3dd48ed3f09aec8faa42147c6d1d4
:2aed5f2860186d237ceea6f6d26c433204f9d5a1
:a3bada1810365da98879381de9970abd7a942d38
:83828a31823ccb1a2e2f04736f01f6c41ba1e360
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:70ec0be07448920a83c0bceafed09d46008e56b1
:5b853064c3d832d471e71bb67b714a7f69ff11d3
:e42d500dc9e803be62453540b4c81a12e96a006a
:82674b49345364df4c158e8258b93fd4d8fdbae0
:b5d8dba6c9d0548815a8aa120f136a6c125c21e1
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:40ea3f5651ae5c7aaa7ae4640b9300a337667710
:f18a7447af7e54063a5cb3dc986623599a65017b
:7ebe92fe862ff1ced28ef663113303af0fcdd9e3
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:1523791bc20bb2fdad71cdfe1d72bf4998912c10
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:3e62c115a83e3163f892819782b13f9446cb18bf
:6a613addf6d45ad41419880dbb904ca55f4c935c
:7ce608190efdb66b398ed9c8f53fd03127f7148f
:6ba7ac6427bae2238ff383b0708c5b934864e314
:b13cac156e2f55d436d38abd7d82c6f0b2537dd1
:ce3c81e4e52e2ca57e88e7c58e6eae6d70bc318f
:0351a659bc0812678c67f62af1f802a5f367befc
:7893f63d4a2fd050428b6304b95082928ba6c4d0
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:c2ae9a2b66150928978fbcc8e9c1368784ff6542
:d55e1abef167768e36fb69f865f31a43ca4a9866
:15bab279752ad8e30f901abae77bcb1ed1f38977
:28a00bec6c535e45ed0bd81f095f1f8f424bbf6e
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:7a45666a014481c196c7f53a4aef302b0331aaf3
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:d5ec483f2e4ef492f5319b6639880e19412a5506
:10cec21724c13b95ec03f00985b0405412817a49
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1422
:HOSTNAME=gianluca.fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/gianluca/.gnupg/S.gpg-agent:1441:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=521a86eefd27b2cc185662700000000d-1336298057.708565-1363603746
:GNOME_KEYRING_CONTROL=/tmp/keyring-xiVUGD
:IMSETTINGS_MODULE=none
:USER=gianluca
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-fgfnfday1280/agent.1280
:USERNAME=gianluca
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/gianluca
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/gianluca/.local/bin:/home/gianluca/bin
:QT_IM_MODULE=xim
:PWD=/home/gianluca
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1276
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/gianluca
:LOGNAME=gianluca
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mnw7FPZKr5,guid=58c1f7672c7f9a1648f43e4a00000031
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/gianluca
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-gianluca-9uL2WQ/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1450,unix/unix:/tmp/.ICE-unix/1450
:DISPLAY=:0.0

smolt_data:
:
:
:General
:=================================
:UUID: 47224feb-c204-406e-95d1-66fb452dfc0f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3192.15
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU  330   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1599
:System Memory: 2008
:System Swap: 2499
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.3.4-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10098:32902:17996) pci, i915, VIDEO, 82945G/GZ Integrated Graphics Controller
:(32902:10198:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:32902:17996) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33128:32902:1) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10200:32902:54788) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:17996) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10196:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:32902:17996) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:32902:17996) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:32902:17996) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:32902:17996) pci, agpgart-intel, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:17996) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 14709558 12035340 11888119 3686400 3448856 3448856
:/dev/sda3 /home ext4 4096 4096 23669093 3947237 2761957 5931008 5861543 5861543
:/dev/sdb1 WITHHELD ext4 4096 4096 243946291 102193953 89984456 61054976 60991504 60991504
:/dev/sdc1 WITHHELD ext4 4096 4096 121966083 30256718 24151887 30531584 30530453 30530453
:

var_log_messages:
:May  6 10:11:16 gianluca abrt[32349]: File '/usr/bin/shotwell' seems to be deleted
:May  6 10:11:29 gianluca abrt[32349]: Saved core dump of pid 533 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-05-06-10:11:16-533 (298098688 bytes)
:May  6 23:03:41 gianluca kernel: [40213.048868] shotwell[7089]: segfault at 4052000e ip 41b47431 sp bfa93320 error 4 in libgobject-2.0.so.0.3000.3[41b15000+4c000]
:May  6 23:03:45 gianluca abrt[7813]: Saved core dump of pid 7089 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-05-06-23:03:41-7089 (200552448 bytes)
Comment 1 Gianluca 2012-05-06 17:27:23 EDT
Created attachment 582504 [details]
File: dso_list
Comment 2 Gianluca 2012-05-06 17:27:26 EDT
Created attachment 582505 [details]
File: maps
Comment 3 Gianluca 2012-05-06 17:27:28 EDT
Created attachment 582506 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 10:33:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:36:51 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.